### Constructor

# Clutter LayerNode new_to_framebuffer

#### Declaration [src]

    ClutterPaintNode*
    clutter_layer_node_new_to_framebuffer (
      CoglFramebuffer* framebuffer,
      CoglPipeline* pipeline
    )

#### Description [src]

Creates a new `ClutterLayerNode` that will redirect drawing at `framebuffer`. It will then use `pipeline` to paint the stored operations.

When using this constructor, the caller is responsible for setting up `framebuffer`, including its modelview and projection matrices, and the viewport, and the `pipeline` as well.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  A `CoglFramebuffer`.

  The data is owned by the caller of the function.

`pipeline`

  Type: `CoglPipeline`

  A `CoglPipeline`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterLayerNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.